Bug 1414701 - python-tempestconf: OpenStack Tempest Config generator
Summary: python-tempestconf: OpenStack Tempest Config generator
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Javier Peña
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 09:59 UTC by Chandan Kumar
Modified: 2017-01-24 13:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-24 13:32:49 UTC
jpena: rdo-review+


Attachments (Terms of Use)

Description Chandan Kumar 2017-01-19 09:59:05 UTC
Spec URL: https://github.com/chkumar246/python-tempestconf-distgit/blob/rpm-master/python-tempestconf.spec

SRPM URL: https://chandankumar.fedorapeople.org/python-tempestconf-0.0.1-0.20170119094804.305bf0b.el7.centos.src.rpm

Description: python-tempestconf will automatically generates the tempest
configuration based on your cloud.

Comment 1 Javier Peña 2017-01-19 10:56:50 UTC
Initial licensecheck output:

$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* Apache
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./config_tempest/api_discovery.py: Apache (v2.0)
./config_tempest/config_tempest.py: Apache (v2.0)
./etc/default-overrides.conf: *No copyright* UNKNOWN
./config_tempest/tests/base.py: Apache (v2.0)
./config_tempest/tests/test_tempest_config.py: *No copyright* Apache (v2.0)
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/contributing.rst: *No copyright* UNKNOWN
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/installation.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./doc/source/usage.rst: *No copyright* UNKNOWN
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN

The initial code was created with Cookiecutter, and code is licensed with the Apache 2.0 license.

Comment 3 Javier Peña 2017-01-23 18:10:10 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Check did not completechecksum differs and there are problems
  running diff. Please verify manually.
  See: http://fedoraproject.org/wiki/Packaging/SourceURL


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 28 files have unknown
     license. Detailed output of licensecheck in /tmp/tempestconf/review-
     python-tempestconf/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/tempest
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/tempest
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-tempestconf , python2-tempestconf-tests , python-tempestconf-
     doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-tempestconf-0.0.1-0.20170123162255.110b733.el7.centos.noarch.rpm
          python2-tempestconf-tests-0.0.1-0.20170123162255.110b733.el7.centos.noarch.rpm
          python-tempestconf-doc-0.0.1-0.20170123162255.110b733.el7.centos.noarch.rpm
          python-tempestconf-0.0.1-0.20170123162255.110b733.el7.centos.src.rpm
python2-tempestconf.noarch: E: no-changelogname-tag
python2-tempestconf.noarch: W: devel-file-in-non-devel-package /usr/bin/discover-tempest-config
python2-tempestconf.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/config_tempest/api_discovery.py /usr/bin/env python
python2-tempestconf.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/config_tempest/api_discovery.py 644 /usr/bin/env python
python2-tempestconf.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/config_tempest/config_tempest.py /usr/bin/env python
python2-tempestconf.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/config_tempest/config_tempest.py 644 /usr/bin/env python
python2-tempestconf.noarch: W: no-manual-page-for-binary discover-tempest-config-2.7
python2-tempestconf.noarch: W: no-manual-page-for-binary discover-tempest-config
python2-tempestconf.noarch: W: no-manual-page-for-binary discover-tempest-config-2
python2-tempestconf-tests.noarch: W: summary-not-capitalized C python-tempestconf tests
python2-tempestconf-tests.noarch: E: no-changelogname-tag
python2-tempestconf-tests.noarch: W: no-documentation
python-tempestconf-doc.noarch: W: summary-not-capitalized C python-tempestconf documentation
python-tempestconf-doc.noarch: E: no-changelogname-tag
python-tempestconf.src: E: no-changelogname-tag
python-tempestconf.src: W: invalid-url Source0: python-tempestconf-0.0.1.dev15-0.20170123162255.110b733.tar.gz
4 packages and 0 specfiles checked; 8 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
python-tempestconf-doc.noarch: W: summary-not-capitalized C python-tempestconf documentation
python-tempestconf-doc.noarch: E: no-changelogname-tag
python2-tempestconf.noarch: E: no-changelogname-tag
python2-tempestconf.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/config_tempest/config_tempest.py 0644L /usr/bin/env
python2-tempestconf.noarch: W: devel-file-in-non-devel-package /usr/bin/discover-tempest-config
python2-tempestconf.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/config_tempest/api_discovery.py 0644L /usr/bin/env
python2-tempestconf.noarch: W: no-manual-page-for-binary discover-tempest-config-2.7
python2-tempestconf.noarch: W: no-manual-page-for-binary discover-tempest-config
python2-tempestconf.noarch: W: no-manual-page-for-binary discover-tempest-config-2
python2-tempestconf-tests.noarch: W: summary-not-capitalized C python-tempestconf tests
python2-tempestconf-tests.noarch: E: no-changelogname-tag
python2-tempestconf-tests.noarch: W: no-documentation
3 packages and 0 specfiles checked; 5 errors, 7 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /tmp/tempestconf/python-tempestconf.spec	2017-01-23 18:54:54.572877299 +0100
+++ /tmp/tempestconf/review-python-tempestconf/srpm-unpacked/python-tempestconf.spec	2017-01-23 17:22:55.000000000 +0100
@@ -1,2 +1,4 @@
+%global dlrn 1
+%define upstream_version 0.0.1.dev15
 %global pname tempestconf
 
@@ -8,11 +10,11 @@
 
 Name:           python-%{pname}
-Version:        0.0.1
-Release:        0.20170123162255.110b733
+Version: 0.0.1
+Release: 0.20170123162255.110b733%{?dist}
 Summary:        OpenStack Tempest Config generator
 
 License:        ASL 2.0
 URL:            https://github.com/redhat-openstack/python-%{pname}
-Source0:        https://github.com/redhat-openstack/python-%{pname}/archive/master.tar.gz
+Source0: python-tempestconf-0.0.1.dev15-0.20170123162255.110b733.tar.gz
 
 BuildArch:      noarch


Requires
--------
python-tempestconf-doc (rpmlib, GLIBC filtered):

python2-tempestconf (rpmlib, GLIBC filtered):
    /usr/bin/python2
    config(python2-tempestconf)
    python(abi)
    python-pbr
    python-requests
    python-tempest
    python2-setuptools

python2-tempestconf-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-oslotest
    python-subunit
    python-testrepository
    python-testscenarios
    python-testtools
    python2-tempestconf



Provides
--------
python-tempestconf-doc:
    python-tempestconf-doc

python2-tempestconf:
    config(python2-tempestconf)
    python-tempestconf
    python2-tempestconf

python2-tempestconf-tests:
    python2-tempestconf-tests



Source checksums
----------------
https://github.com/redhat-openstack/python-tempestconf/archive/master.tar.gz :
  CHECKSUM(SHA256) this package     : ERROR
  CHECKSUM(SHA256) upstream package : 639bf804a29bbb5c54061333956296c0853089545e61a7e31eaebf361558e6b9


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n python-tempestconf -m dlrn
Buildroot used: dlrn-centos7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


* The differences between the spec from the review and srpm are due to the SRPM being generated by DLRN, so they are expected. Same for the dist tag being present.


The package is APPROVED.

Comment 4 Javier Peña 2017-01-24 13:32:49 UTC
python-tempestconf now built in the RDO Trunk repo.


Note You need to log in before you can comment on or make changes to this bug.